dictSearch(3)

NAME
dictSearch - search for value in dictionary.

SYNOPSIS
#include <util/dict.h> void *dictSearch(dictCtx dict, const char *id, void **plock);

ARGUMENTS
dict - dictionary to search in.
id - identifier of item to find.
plock - place for value lock (or NULL).

DESCRIPTION
Searches for <id> in <dict>, and returns value if found, or NULL if not. If <plock> is non-NULL, then the lock returned in <plock> will be associated with the returned value. Until this lock is passed to dictReleaseLock(), the value will not be passed to the dictCleanupFunc callback (see dictCleanup()). MT-Level: Safe if <dict> thread-safe.

RETURN VALUE
plock - set to value lock.

SEE ALSO
dictDestroy(3), dictCleanup(3), dictReleaseLock(3), dictRemove(3), dictNext(3), dictCreate(3), dictSetValue(3), dictModifyValue(3), dictSearch